import {
  useIntlContext
} from "./chunk-JVEHLFUH.js";
import {
  __name
} from "./chunk-B36FS7SS.js";

// components/form/inputs/SelectMultiple.tsx
import React from "react";
import { FormControl } from "react-bootstrap";
import { useVulcanComponents } from "@vulcanjs/react-ui";
function _extends() {
  _extends = Object.assign || function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}
__name(_extends, "_extends");
var FormComponentSelectMultiple = /* @__PURE__ */ __name(({ path, label, refFunction, inputProperties, itemProperties }) => {
  inputProperties.multiple = true;
  const Components = useVulcanComponents();
  const intl = useIntlContext();
  return /* @__PURE__ */ React.createElement(Components.FormItem, _extends({
    path,
    label
  }, itemProperties), /* @__PURE__ */ React.createElement(FormControl, _extends({
    as: "select"
  }, inputProperties, {
    ref: refFunction
  })));
}, "FormComponentSelectMultiple");

export {
  FormComponentSelectMultiple
};
//# sourceMappingURL=chunk-FY2MAYZA.js.map