import {
  useIntlContext
} from "./chunk-JVEHLFUH.js";
import {
  __name,
  __objRest
} from "./chunk-B36FS7SS.js";

// components/form/inputs/Select.tsx
import { useVulcanComponents } from "@vulcanjs/react-ui";
import React from "react";
import { FormControl } from "react-bootstrap";
function _extends() {
  _extends = Object.assign || function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}
__name(_extends, "_extends");
var FormComponentSelect = /* @__PURE__ */ __name(({ path, label: label1, refFunction, inputProperties, itemProperties, datatype, options }) => {
  const Components = useVulcanComponents();
  const intl = useIntlContext();
  const noneOption = {
    label: intl.formatMessage({
      id: "forms.select_option"
    }),
    value: datatype === String || datatype === Number ? "" : null,
    disabled: true
  };
  let otherOptions = Array.isArray(options) && options.length ? options : [];
  const allOptions = [
    noneOption,
    ...otherOptions
  ];
  const _a = inputProperties, { options: deleteOptions } = _a, newInputProperties = __objRest(_a, ["options"]);
  return /* @__PURE__ */ React.createElement(Components.FormItem, _extends({
    path,
    label: inputProperties.label,
    name: inputProperties.name
  }, itemProperties), /* @__PURE__ */ React.createElement(FormControl, _extends({
    as: "select"
  }, newInputProperties, {
    ref: refFunction
  }), allOptions.map((_b) => {
    var _c = _b, { value, label, intlId } = _c, rest = __objRest(_c, ["value", "label", "intlId"]);
    return /* @__PURE__ */ React.createElement("option", _extends({
      key: value,
      value
    }, rest), label);
  })));
}, "FormComponentSelect");

export {
  FormComponentSelect
};
//# sourceMappingURL=chunk-RTDGEGJI.js.map